### Method

# FwupdPlugin StructEdid set_data_blocks

#### Declaration [src]

    gboolean
    fu_struct_edid_set_data_blocks (
      FuStructEdid* st,
      const guint8* buf,
      gsize bufsz,
      GError** error
    )

#### Description

No description available.

This method is not directly available to language bindings.

#### Parameters

`buf` | `const guint8*`
| No description available.
| The data is owned by the caller of the function.
`bufsz` | `gsize`
| No description available.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.